## org.eclipse.datatools.sqltools.editor.contentassist
Interface ISQLDBProposalsService

All Known Implementing Classes:
  SQLDBProposalsService

    public interface ISQLDBProposalsService

Provides services to retrieve, construct list of proposals of database objects (schemas, tables, columns) based on a given connection info.

Author:
  Hetty Dougherty

Method Summary
`java.util.List` `getDBProposals()` Gets the list of `SQLDBProposal` objects for the content assist proposals.
`ISQLEditorConnectionInfo` `getSQLEditorConnectionInfo()` Gets the `ISQLEditorConnectionInfo` used to provide content assist.
`boolean` `populate(SQLDBProposalsRequest request)` Populates the list database of database object proposals (schemas, tables, columns) using given list of tokens (DB identifiers) indicating the start of the expression for which the user wants DB proposals.
`void` `setSQLEditorConnectionInfo(ISQLEditorConnectionInfo connectionInfo)` Sets the `ISQLEditorConnectionInfo` used to provide content assist.

Method Detail

### getSQLEditorConnectionInfo

    ISQLEditorConnectionInfo getSQLEditorConnectionInfo()

  Gets the `ISQLEditorConnectionInfo` used to provide content assist.

  Returns:
    the current `ISQLEditorConnectionInfo` object

### setSQLEditorConnectionInfo

    void setSQLEditorConnectionInfo(ISQLEditorConnectionInfo connectionInfo)

  Sets the `ISQLEditorConnectionInfo` used to provide content assist.

### populate

    boolean populate(SQLDBProposalsRequest request)

  Populates the list database of database object proposals (schemas, tables, columns) using given list of tokens (DB identifiers) indicating the start of the expression for which the user wants DB proposals. For example, if the user provides the list (MYSCHEMA, TABLE1), the list of proposals will be the columns of table MYSCHEMA.TABLE1. Retrieve the list using getDBProposals().

  Parameters:
    `tokenList` - list of tokens indicating the start of the expression for which the user wants DB proposals
    `scope` - the scope at current position indicating what kind of information is required.
  Returns:
    true if database objects have loaded, for example as a result of reestablishing a connection, otherwise false
  See Also:
    `ISQLParserConstants`

### getDBProposals

    java.util.List getDBProposals()

  Gets the list of `SQLDBProposal` objects for the content assist proposals. Call populate to populate this list.

  Returns:
    the list of proposals
  See Also:
    `populate( List tokenList )`